using Seenginx.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Seenginx.Services
{
	public interface IFileManager
	{
		Task<Result<ConfigFile>> SaveUpdateFileAsync(ConfigFile configFile);
		Task<Result<ConfigFile>> SaveUpdateDraftFileAsync(ConfigFile configFile);
		Result<bool> DeleteFile(ConfigFile configFile);
	}
}
